Unresolved Maven dependencies (type: bundle)

I have some maven dependencies that are of type bundle.

<dependencies>
        <dependency>
            <groupId>net.test.framework.thrift</groupId>
            <artifactId>thrift-bundle</artifactId>
            <type>bundle</type>
        </dependency>
</dependencies>

But IDEA is marking them as unresolved - Unresolved dependency: net.test.framework.thrift:thrift-bundle:bundle:1.0.5-SNAPSHOT

I look into my local Maven repository and it exists. I think that the Maven integration isn't working quite right. Is there a solution or is this a bug?

Eclipse used to have this problem (http://jira.codehaus.org/browse/MNGECLIPSE-1180) and I'm using the maven bundle plugin:

<plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <manifestLocation>META-INF</manifestLocation>
                    <instructions>
                        <Bundle-Activator>net.test.framework.etc.Activator</Bundle-Activator>
                        <Private-Package>net.test.framework.etc</Private-Package>
                        <Import-Package>!org.jboss.netty.util.internal, *</Import-Package>
                        <Embed-Dependency>args4j;scope=compile|runtime</Embed-Dependency>
                    </instructions>
                </configuration>
            </plugin>

Thanks!

3 comments
Comment actions Permalink

Do any of the JetBrains developers have an answer to this? Maven handles it fine, but IDEA
will not. Is there a fix for this?

Thanks!

0
Comment actions Permalink

Hi, have you solve this problem? The newest version of IDEA still has this problem :(

0

Please sign in to leave a comment.